These docs are for v3. Click to read the latest docs for v4.

List Orders Paginated

List all wallet orders by pagination

This is a paginated endpoint, pagination parameters are defined as follows:

  • position: current page.
  • recordsTotal: amount of total records (for all pages).
  • recordsFiltered: records on this page.

The limit and offset are query string parameters that can be used to navigate in the pages.

Error Details

A failed wallet order can have multiple error fields:

  • internalErrorCode: Wyre's internal error code. This should always be present when the status is FAILED.

    • Please check Card Exceptions for all the possible values of internalErrorCode in the section Unified Error Codes
  • paymentNetworkErrorCode: Payment provider or bank error code. This field is only present when the order failed because of a Bank error.

Query Params
string

Determines how many entries to be skipped

string

Determines the maximum number of items returned from the query

Response

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json